// This file is part of the disk cataloger Wssindex, but was derived from code written by a
// 3rd party.  See comments below for author and licensing information.

// From a post by Emmanuel Lepage Vallee at
// https://stackoverflow.com/questions/17818059/what-is-the-signal-for-when-a-widget-loses-focus

#include "3rdparty/focuswatcher.h"

#include <QEvent>
#include <QObject>
#include <QtDebug>

FocusWatcher::FocusWatcher(QObject *parent) : QObject(parent)
	{
	if(parent)
		parent->installEventFilter(this);
	}

bool FocusWatcher::eventFilter(QObject *obj, QEvent *event)
	{
	Q_UNUSED(obj)
	if (event->type() == QEvent::FocusIn)
		{
		Q_EMIT focusChanged(true);
		}
	else if (event->type() == QEvent::FocusOut)
		{
		Q_EMIT focusChanged(false);
		}

	return QObject::eventFilter(obj, event);
	}
