// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#ifndef OTHERVERSION_H
#define OTHERVERSION_H

#include <QtGlobal>

// Version for use in other licenses display

#define ZIP7_VERSION				"22.01"
#define ZIP7_DATE					"2022-07-15"

// License.html for versions 21.03, 21.09, 22.03 and 22.09 says 2002-2020, not 2021 or 2022 as might be expected
#define MEDIAINFO_VERSION		"22.09"
#define MEDIAINFO_DATE			"2002-2020"

#define GREENFISH_VERSION		"3.6"
#define GREENFISH_DATE			"Oct 6, 2021"

// For version of OpenSSL bundled with Qt, see
// Tools\OpenSSL\Win_x86\include\openssl\opensslv.h
// or Tools\OpenSSL\Win_x64\include\openssl\opensslv.h
#define OPENSSL_VERSION			"1.1.1o"
#define OPENSSL_DATE				"3 May 2022"

// For version of OpenSSL bundled with MinGW compiler, see
// Tools\mingwxxx_32\opt\include\openssl\opensslv.h
// or Tools\mingwxxx_64\opt\include\openssl\opensslv.h
// Build for XP and Vista uses Qt 5.7.1 and an older version of MinGW
#if defined(__GNUC__)
	#if QT_VERSION < QT_VERSION_CHECK(5, 8, 0)
		#define OPENSSL_MINGW_VERSION	"1.0.2e"
		#define OPENSSL_MINGW_DATE		"3 Dec 2015"
	#else
		#define OPENSSL_MINGW_VERSION	"1.0.2o"
		#define OPENSSL_MINGW_DATE		"27 Mar 2018"
	#endif
#endif

#define MODERNSTYLE_VERSION	"1.1"
#define MODERNSTYLE_DATE		"2008-2009"

#ifdef OLDQCP
	#define QCUSTOMPLOT_VERSION	"1.3.2"
	#define QCUSTOMPLOT_DATE		"2011-2015"
	#define QCUSTOMPLOT_RELEASE	"22.12.15"
#else
	#define QCUSTOMPLOT_VERSION	"2.1.0"
	#define QCUSTOMPLOT_DATE		"2011-2021"
	#define QCUSTOMPLOT_RELEASE	"29.03.21"
#endif

#define UNZIP_VERSION			"6.0"
#define UNZIP_DATE				"1990-2009"

// Get these from History.txt and License.txt
#define ZENLIB_VERSION			"0.4.39"
#define ZENLIB_DATE				"2002-2020"

// Get these from ChangeLog
#define ZLIB_VERSION				"1.2.11"
#define ZLIB_DATE					"1995-2017"

#define NSIS_VERSION				"3.08"

#define UNRARDLL_DATE			"3 March 2022"

#endif // OTHERVERSION_H
