// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#ifndef INDEXTIMEFILTER_H
#define INDEXTIMEFILTER_H

#include <QMainWindow>
#include <QPlainTextEdit>

namespace Ui
	{
	class IndexTimeFilter;
	}

class IndexTimeFilter : public QMainWindow
	{
	Q_OBJECT

public:
	explicit IndexTimeFilter(QWidget *parent = nullptr);
	~IndexTimeFilter() override;

private:
	Ui::IndexTimeFilter *ui;
	void restoreSettings();
	void saveSettings();
	void sortlist(QPlainTextEdit *list);
	void cleanupDirList(QPlainTextEdit *list);
	void setFilterLists();
	void updateCheckboxStatus();

private Q_SLOTS:
	void slot_sortallClicked();
	void slot_clearDirExcludeClicked();
	void slot_clearDirIncludeClicked();
	void slot_clearFileExcludeClicked();
	void slot_clearFileIncludeClicked();
	void slot_cancelClicked();
	void slot_saveAndAcceptClicked();
	void slot_acceptClicked();
	void slot_buttonBrowseDirExcludeClicked();
	void slot_buttonBrowseDirIncludeClicked();
	};

#endif // INDEXTIMEFILTER_H
