// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#include "Dialogs/indexwindow.h"
#include "OtherWssi/wssindex.h"

// no_path - return pointer to file name with any leading path name
//	stripped off.  Input string may not be null terminated, in which case
//	length is maximum number of characters to look at.  If the input string is
// not null terminated, the output won't be either and the caller has to
// deal with figuring out where the string ends.
// Path delimiters are / or \.
// This routine does not change the string pointed to by str.
char *IndexWindow::no_path(char *str, int length)
	{
	char *path;

	path = str;
	for( ; length>0 && *str; length--, str++)
		{
		if('/' == *str || '\\' == *str)
			path = str + 1;
		}
	return(path);
	}

// Remove path from fn (fn is changed)

void IndexWindow::no_path(QString *fn)
	{
	int lastsep = fn->lastIndexOf(QRegularExpression(QFA("[/\\\\]")));
	if(lastsep > 0)
		fn->remove(0, lastsep+1);
	}
