// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#include <string.h>
#ifndef EOS
	#define EOS '\0'
#endif

// trimblnk - trim trailing blanks from string and return new length.
//	If string is a null pointer, just return 0.

unsigned int trimblnk(char *string)
	{
	unsigned int i;

	if(!string)
		return(0);

	for(i=static_cast<unsigned int>(strlen(string)); i>0; i--)
		{
		if(*(string+i-1) != ' ')
			break;
		*(string+i-1)=EOS;
		}

	return(i);
	}
