// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

// Right justify combobox text and pulldown items
// Also force to be read-only (so only selection is by pulldown)

#include <QComboBox>
#include <QLineEdit>
#include <QAbstractItemView>

void widerCombo(QComboBox *combo)
	{
	combo->setEditable(true);
	combo->lineEdit()->setAlignment(Qt::AlignCenter);
	for (int i=0; i<combo->count(); i++)
		combo->setItemData(i, Qt::AlignCenter, Qt::TextAlignmentRole);
	combo->lineEdit()->setReadOnly(true);
// Get the background color and full width of the combobox.
	QColor bgc = combo->lineEdit()->palette().base().color();
	int pulldownWidth = combo->geometry().width();
	combo->setStyleSheet(QString::fromLatin1(
		"QListView {width: %1px; background-color: rgb(%2, %3, %4);}")
									.arg(pulldownWidth).arg(bgc.red()).arg(bgc.green()).arg(bgc.blue()));
	}
