// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#include <QApplication>

#define EXTERN
#define DO_INITIALIZATIONS
#include "Dialogs/mainwindow.h"
#include "OtherWssi/globalsettings.h"
#include "ExtractSubs/extractinfo.h"
#include "OtherWssi/tablelayout.h"

int main(int argc, char *argv[])
	{
	QSettings ScaleOpts("WSS-DDC", "Wssindex\\Options");
// True is the Qt default for enabling High DPI scaling
	UseSystemScale = ScaleOpts.value("UseSystemScale", true).toBool();

	if(UseSystemScale)
		{
		QApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
#if QT_VERSION >= QT_VERSION_CHECK(5, 14, 0)
		QGuiApplication::setHighDpiScaleFactorRoundingPolicy(Qt::HighDpiScaleFactorRoundingPolicy::PassThrough);
#endif
		}
	else
		QApplication::setAttribute(Qt::AA_DisableHighDpiScaling);

	QApplication a(argc, argv);
	MainWindow w;
	w.show();

	return a.exec();
	}
