// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#include "OtherWssi/wssindex.h"
#include "Dialogs/indexwindow.h"

// makeid - fill in Dr structure entries for dummy record for volume or
//	subdirectory.

#define VOLUME		0x08
#define SUBDIR		0x10

void IndexWindow::makeid(int id_type)
	{
	struct filerec *dr_nofile;

	dr_nofile = Dr + Nofile;
	if(VOLUME == id_type)
		Vrec[Diskno].firstOnDisk = Nofile;
// Deliberately invald date/time
	dr_nofile->Ddate = QDate();
	dr_nofile->Dtime = QTime();
	dr_nofile->Dsize = 0;
	dr_nofile->Subdirno = Subuse;
	dr_nofile->Volno = Diskno;
	dr_nofile->Comment = QString();
	dr_nofile->Category = QString();
	dr_nofile->ExtraInfo = QString();
	dr_nofile->Bitflags = 0;
	dr_nofile->Diskbits = IS_DOT_ID | HAS_LFN;
	dr_nofile->Lfn = QString();

	return;
	}
