// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#ifndef RAISE2_H
#define RAISE2_H

#include <QObject>
#include <QToolBar>
#include <QToolButton>
#include <QString>

#define DOWN_ARROW_WIDTH	17

#define RAISE_NONE	0
#define RAISE_FILE	1
#define RAISE_COLOR	2
#define RAISE_QUERY	3
#define RAISE_SORT	4
#define RAISE_FONT	5

class raise2 : public QObject
	{
	Q_OBJECT

public:
	explicit raise2(QObject *parent, QToolBar *whichBar, QIcon icon,
		QString tooltip1, QString tooltip2, const char *method, bool queue);
	QToolButton *widebutton;
	QToolButton *pulldown;
	QMenu *menu;

protected:
	bool eventFilter(QObject *obj, QEvent *event) override;
	};

#endif // RAISE2_H
